<?php
/* Copyright (C) 2022 Copyright (C) 2021 Nicolas ZABOURI   <info@inovea-conseil.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file    advancedpos/lib/advancedpos.lib.php
 * \ingroup advancedpos
 * \brief   Library files with common functions for AdvancedPOS
 */

/**
 * Prepare admin pages header
 *
 * @return array
 */
function advancedposAdminPrepareHead()
{
	global $langs, $conf;

	$langs->load("advancedpos@advancedpos");

	$h = 0;
	$head = array();

	$head[$h][0] = dol_buildpath("/advancedpos/admin/setup.php", 1);
	$head[$h][1] = $langs->trans("Settings");
	$head[$h][2] = 'settings';
	$h++;

	/*
	$head[$h][0] = dol_buildpath("/advancedpos/admin/myobject_extrafields.php", 1);
	$head[$h][1] = $langs->trans("ExtraFields");
	$head[$h][2] = 'myobject_extrafields';
	$h++;
	*/

	$head[$h][0] = dol_buildpath("/advancedpos/admin/about.php", 1);
	$head[$h][1] = $langs->trans("About");
	$head[$h][2] = 'about';
	$h++;

	// Show more tabs from modules
	// Entries must be declared in modules descriptor with line
	//$this->tabs = array(
	//	'entity:+tabname:Title:@advancedpos:/advancedpos/mypage.php?id=__ID__'
	//); // to add new tab
	//$this->tabs = array(
	//	'entity:-tabname:Title:@advancedpos:/advancedpos/mypage.php?id=__ID__'
	//); // to remove a tab
	complete_head_from_modules($conf, $langs, null, $head, $h, 'advancedpos@advancedpos');

	complete_head_from_modules($conf, $langs, null, $head, $h, 'advancedpos@advancedpos', 'remove');

	return $head;
}

function showConf($const, $texte_nom, $texte_descr) {
    global $conf, $langs;
    $new_token ="";
    if (function_exists("newToken")){
        $new_token = newToken();
    }else{
        $new_token = $_SESSION['newtoken'];
    }


    print '<tr class="oddeven">';
    print '<td>' . $texte_nom . '</td>' . "\n";
    if($texte_descr != ""){
        print '<td> ' . $texte_descr . '</td>' . "\n";
    }
//    print '<td class="nowrap">' . $texte_exemple . '</td>' . "\n";

    if ($conf->global->$const == '1') {
        echo '<td align="left">' . "\n";
        print '<a href="' . $_SERVER['PHP_SELF'] . '?action=del&name=' . $const . '&token='.$new_token.'">';
        echo img_picto($langs->trans("Activated"), 'switch_on');
        echo "</td>\n";
    } else if (is_null($conf->global->$const) || $conf->global->$const == 0) {
        $disabled = false;
        if (!empty($conf->multicompany->enabled) && (is_object($mc) && !empty($mc->sharings['referent']) && $mc->sharings['referent'] == $conf->entity) ? false : true)
            ;
        print '<td align="left">';
        if (!$disabled)
            print '<a href="' . $_SERVER['PHP_SELF'] . '?action=set&name=' . $const . '&token='. $new_token.'">';
        print img_picto($langs->trans("Disabled"), 'switch_off');
        if (!$disabled)
            print '</a>';
        print '</td>';
    }
}

